<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">

        <ui:decorate template="/layout/form/_form_page.xhtml">

            <h2>#{messages['net.ihe.gazelle.atna.InstallBrowserCertificateForCASAutologin']}</h2>


            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    #{messages['net.ihe.gazelle.atna.ConfigureYourBrowserToSupportGazelleCASAutologin']}
                </ui:define>

                <p>#{messages['net.ihe.gazelle.atna.TheCAS']} <em>(#{messages['net.ihe.gazelle.atna.CentralAuthenticationService']})</em> #{messages['net.ihe.gazelle.atna.AutologinAllowYouToBypassTheEnteringOfYourCreden']}</p>

                <ui:decorate template="/layout/panels/_panel.xhtml">
                    <ui:param name="styleClass" value="panel-warning"/>
                    <ui:param name="bodyStyleClass" value="gzl-text-orange"/>
                    <span class="fa fa-exclamation-triangle"></span>
                    #{messages['net.ihe.gazelle.atna.DoesNotWorkWithInternetExplorer']}
                </ui:decorate>

                <div class="container-fluid">
                    <div class="row">

                        <div class="col-md-12 col-lg-6">
                            <h3>#{messages['net.ihe.gazelle.atna.IfYouAreUsingMozillaFirefox']}</h3>

                            <p>#{messages['net.ihe.gazelle.atna.YouCanInstallTheCertificateAuthorityCertificateI']}</p>
                            <h:form id="installCAForm">
                                <!--<s:token id="installCAToken"/>-->
                                <h:commandLink action="#{autoLoginCertificateCreator.getCACertificateLink()}"
                                               value="#{messages['net.ihe.gazelle.atna.ImUsingFirefoxGo']}" styleClass="gzl-btn-blue"
                                               execute="installCAForm,installCAToken"/>
                            </h:form>
                        </div>

                        <div class="col-md-12 col-lg-6">
                            <h3>#{messages['net.ihe.gazelle.atna.Otherwise']}</h3>

                            <p>#{messages['net.ihe.gazelle.atna.YouCanRequestAnAutologinCertificateForYourselfIt']}</p>
                            <h:form id="casCSRForm" styleClass="form-horizontal">
                                <!--<s:token id="casCSRToken"/>-->
                                <s:decorate template="/layout/form/_form_field_horizontal_6-6.xhtml">
                                    <ui:param name="id" value="csrInput"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.SecurityKeyParameter']}</ui:define>
                                    <s:span id="csrInput"><keygen class="form-control" name="keygen" keytype="rsa"/></s:span>
                                </s:decorate>
                                <h:commandButton action="#{autoLoginCertificateCreator.computeAutoLoginCertificate()}"
                                                 value="#{messages['net.ihe.gazelle.atna.GetCertificateForAutologin']}"
                                                 styleClass="gzl-btn-blue"
                                                 execute="casCSRForm"></h:commandButton>
                            </h:form>
                        </div>

                    </div>
                </div>
            </ui:decorate>
        </ui:decorate>

    </ui:define>
</ui:composition>
